image: alpine

server:
  stage: build

  before_script:
    - apk add --no-cache git git-subtree

  script:
    - git subtree split -P server -b upstream
    - git remote add split "https://${GIT_USER}:${GIT_TOKEN}@gitlab.com/joshua-avalon/szurubooru/server.git"
    - git push split upstream:upstream

  only:
    - upstream

client:
  stage: build

  before_script:
    - apk add --no-cache git git-subtree

  script:
    - git subtree split -P client -b upstream
    - git remote add split "https://${GIT_USER}:${GIT_TOKEN}@gitlab.com/joshua-avalon/szurubooru/client.git"
    - git push split upstream:upstream

  only:
    - upstream
